package custom

import (
	"testing"
)

func TestUint56(t *testing.T) {
	var uint256a = Uint256{0, 1, 2, 3}
	buf := make([]byte, 32)
	PutLittleEndianUint256(buf, 0, uint256a)
	uint256b := GetLittleEndianUint256(buf, 0)
	if !uint256a.Equal(uint256b) {
		t.Fatalf("%v != %v", uint256a, uint256b)
	}
}
